Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.commons.jxpath.JXPathException

All Implemented Interfaces:
  java.io.Serializable

public class JXPathException
extends java.lang.RuntimeException

Thrown in various situations by JXPath; may contain a nested exception.

Version:
  $Revision: 1.3 $ $Date: 2003/03/11 00:59:12 $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Constructor Summary
`JXPathException()` Create a new `JXPathException` with no detail mesage.
`JXPathException(java.lang.String msg)` Create a new `JXPathException` with the `String` specified as an error message.
`JXPathException(java.lang.String msg, java.lang.Throwable e)` Create a new `JXPathException` with the given `Exception` base cause and detail message.
`JXPathException(java.lang.Throwable e)` Create a new `JXPathException` with a given `Throwable` base cause of the error.

Method Summary
`java.lang.Throwable` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`java.lang.String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXPathException

    public JXPathException()

  Create a new `JXPathException` with no detail mesage.

### JXPathException

    public JXPathException(java.lang.String msg)

  Create a new `JXPathException` with the `String` specified as an error message.
  Parameters:
    `msg` - The error message for the exception.

### JXPathException

    public JXPathException(java.lang.Throwable e)

  Create a new `JXPathException` with a given `Throwable` base cause of the error.
  Parameters:
    `e` - The exception to be encapsulated in a JXPathException.

### JXPathException

    public JXPathException(java.lang.String msg,
                           java.lang.Throwable e)

  Create a new `JXPathException` with the given `Exception` base cause and detail message.
  Parameters:
    `e` - The exception to be encapsulated in a JXPathException
    `msg` - The detail message.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The error message.

### getException

    public java.lang.Throwable getException()

  Return the actual exception (if any) that caused this exception to be raised.
  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.